function [all_indicies_a]=find_all_clique_containing_cell(a, cliques) 
% input: 1. a, the index of v_a wrt adjacency matrix g 
%        2. cliques, a cell representation of cliques of g. 
% output:1. all_indicies_a, the indicies (wrt order of cliques) of all cliques 
%       that contain v_a

index_a=zeros(1, length(cliques)); 
for i=1:length(cliques) 
    for j=1:length(cliques{i}); 
        if cliques{i}(j)==a; 
            index_a(i)=i; 
        end; 
    end 
end 
all_indicies_a=find(index_a);