function [index_a]=find_clique_containing_cell(a, cliques) 
% inputs: 1. a, the index of the vertex v_a with respect 
%            to the ordering of cliques. 
%           NOTE: if v_a is not in one of the cliques, this routine 
%           will go into an infinite while loop. 
%           2. cliques, a cell array of nonempty cliques 
% output: index_a, the index of the first clique 
%           (in the order of the cell array) 
%           that contains v_a 
i=1; 
found=0; 
index_a=1;
while found==0;
    for j=1:length(cliques{i});
        if cliques{i}(j)==a;
            index_a=i; 
            found=1;
            break;
        end, 
    end; 
    if found == 0; 
        i=i+1;
    end 
end;