function [element] = is_in(a, A) 
% inputs: 1. A, a 1 x p or p x 1 array of integers.
% 2. a, the element to test whether a is a member of A.
% output: 1. element, a zero/one (yes/no) indicator of whether 
% or not a is a member of A. 
% if isempty(A) | a < min(A) | a > max(A) 
if length(A)==0 element = 0;
elseif a < min(A) element = 0; 
elseif a > max(A) element = 0;
else bits = zeros(1, max(A)); 
    bits(A) = 1; 
    element = bits(a);
end 