function [lossE,lossQ] = covLoss(covMatTrue, covMatEst, varargin)

% Yang and Berger p7
precMatEst=inv(covMatEst);

M = precMatEst * covMatTrue;
p = length(M);

lossE = trace(M) - log(det(M)) - p; 
lossQ = trace(  (M - eye(p))^2 );
