function [graph_tally graph_tally_counts graph_pm graph_iter]= graphtallyMC(iCsamplesMC,p)
%CsamplesMC is the samples collected and 
%p is the size of the correlation matrix
warning off
[N]=size(iCsamplesMC,1);
graph_cumulative=zeros(p,p);
graph_tally_cumulative=zeros(p,p);
graph_pm=zeros(p,p);
graph_iter=zeros(p,p, N);
graph_tally=zeros(p,p, 1);
num_of_diff_graphs=1;
graph_tally_counts(1,1)=1;
itime=cputime;
kep=1;

for i=1:N
   if(i==100)||(i==kep*1000)
       disp('We are at iteration');
       disp(i);
        kep=kep+1;
        ctime=cputime;
        timetoend=((ctime - itime)/i) * (N + 1 - i);
        disp('Minutes remaining')
        disp(timetoend/60);
        ttime=(ctime-itime)/60;
    end

R=vect2mat(iCsamplesMC(i,:),p);
g_i=setdiag((abs(R)>0.001),0);
graph_iter(:,:,i)=g_i;
equal_indicator=0;
graph_cumulative=graph_cumulative+g_i;

for j=1:num_of_diff_graphs
    graph_tally_j=graph_tally(:,:,j);
    if (isequal(graph_tally_j, g_i));
        graph_tally_counts(1,j)=graph_tally_counts(j)+1;
        equal_indicator=1;
        break,
    end
end % end of for j=1: num_of_diff_graphs loop
if equal_indicator==0
    num_of_diff_graphs=num_of_diff_graphs+1;
    graph_tally(:,:,num_of_diff_graphs)=g_i;
    graph_tally_counts(1,num_of_diff_graphs)=1;
end
end
graph_pm=graph_cumulative/N;
