function mysummary (data,colheaders)
%data is an n x p data matrix (numerical) where n represents observations and p
%represents variables
%colheaders is the names of the variables

[n p]=size(data);
mat=zeros(7,p);
mean(data,2);
q=quantile(data,[0.025 0.975]);
mat(1,:)=mean(data,1);
mat(2,:)=std(data,1,1);
mat(3,:)=min(data);
mat(4,:)=q(1,:);
mat(5,:)=median(data,1);
mat(6,:)=q(2,:);
mat(7,:)=max(data);
in.rnames = strvcat('Summary','Mean','sd','Min','Q1','Median','Q2','Max');
%in.cnames= strvcat(colheaders);
mprint(mat,in)
