
function vect=triuEl(D)
% triuEl grabs the off diagonale elements of a symmetric matrix and puts
% them in a vector.
%
% Input: D is a p x p symmetric matrix
% Output: p(p+1)/2 x 1 upper diagonal entries of D

p=size(D,2);
tmp=reshape(1:p*p,p,p)';
ndx=reshape(triu(tmp,1)',1,p*p);
ndx=ndx(ndx~=0);
vect=D(ndx);